groovy.lang

## Class GroovyRuntimeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - groovy.lang.GroovyRuntimeException

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    CompilationFailedException, IncorrectClosureArgumentsException, InvokerInvocationException, MethodSelectionException, MissingClassException, MissingFieldException, MissingMethodException, MissingPropertyException, RuntimeParserException, SpreadListEvaluatingException, SpreadMapEvaluatingException

      public class GroovyRuntimeException
      extends java.lang.RuntimeException

  An exception thrown by the interpreter
  Author:
    James Strachan
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroovyRuntimeException()`
    `GroovyRuntimeException(java.lang.String message)`
    `GroovyRuntimeException(java.lang.String message, ASTNode node)`
    `GroovyRuntimeException(java.lang.String message, java.lang.Throwable cause)`
    `GroovyRuntimeException(java.lang.Throwable t)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.String` | `getLocationText()`
    `java.lang.String` | `getMessage()`
    `java.lang.String` | `getMessageWithoutLocationText()`
    `ModuleNode` | `getModule()`
    `ASTNode` | `getNode()`
    `void` | `setModule(ModuleNode module)`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GroovyRuntimeException

          public GroovyRuntimeException()

    - #### GroovyRuntimeException

          public GroovyRuntimeException(java.lang.String message)

    - #### GroovyRuntimeException

          public GroovyRuntimeException(java.lang.String message,
                                        ASTNode node)

    - #### GroovyRuntimeException

          public GroovyRuntimeException(java.lang.String message,
                                        java.lang.Throwable cause)

    - #### GroovyRuntimeException

          public GroovyRuntimeException(java.lang.Throwable t)

  - ### Method Detail

    - #### setModule

          public void setModule(ModuleNode module)

    - #### getModule

          public ModuleNode getModule()

    - #### getMessage

          public java.lang.String getMessage()

      Overrides:
        `getMessage` in class `java.lang.Throwable`

    - #### getNode

          public ASTNode getNode()

    - #### getMessageWithoutLocationText

          public java.lang.String getMessageWithoutLocationText()

    - #### getLocationText

          protected java.lang.String getLocationText()